import type { Resolver } from './index.js';
export declare type WebpackResolverOptions = {
    /**
     * The option compatible with sass's `--load-path`. It is an array of absolute paths.
     * @example ['/home/user/repository/src/styles']
     */
    sassLoadPaths?: string[] | undefined;
    /**
     * The option compatible with less's `--include-path`. It is an array of absolute paths.
     * @example ['/home/user/repository/src/styles']
     */
    lessIncludePaths?: string[] | undefined;
};
export declare const createWebpackResolver: (webpackResolverOptions?: WebpackResolverOptions | undefined) => Resolver;
