import { createLessTransformer } from './less-transformer.js';
import { createScssTransformer } from './scss-transformer.js';
export const handleImportError = (packageName) => (e) => {
    console.error(`${packageName} import failed. Did you forget to \`npm install -D ${packageName}\`?`);
    throw e;
};
export const createDefaultTransformer = () => {
    const scssTransformer = createScssTransformer();
    const lessTransformer = createLessTransformer();
    return async (source, options) => {
        if (options.from.endsWith('.scss')) {
            return scssTransformer(source, options);
        }
        else if (options.from.endsWith('.less')) {
            return lessTransformer(source, options);
        }
        // TODO: support postcss
        return false;
    };
};
//# sourceMappingURL=index.js.map